# Generated from pgx-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pgx

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: A thin extension of pg
License: MIT
URL: http://www.mockbites.com/articles/tech/pgx
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
A pure ruby "thin" extension of pg that provides logging,
transaction retrying, and database reconnecting functionality.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.5-1
- Initial package
